Re: Studio XPA 3 and 4.7 on same workstation, IIS and RIA, how to set brokers #ria #xpa


Tim Downie
 

Hi - you can have  versions of magic 3.xx and 4.xx on the same box easily.

All you do make sure for each version you have a different app pool per version and a different scripts application 

Eg 

/sciptsmagic33   APPPool magic33
/sciptsmagic45   APPPool magic45

Magic sure u then have the mgreq.ini and mgrb.ini different ports   i generally go 6115 7115 8115

We have 7 versions of v3.xx and 4.xx all on one development machine








From: main@magicu-l.groups.io <main@magicu-l.groups.io> on behalf of aa bbb <mgtest752@...>
Sent: Tuesday, 17 November 2020 12:45 PM
To: main@magicu-l.groups.io <main@magicu-l.groups.io>
Subject: Re: [magicu-l] Studio XPA 3 and 4.7 on same workstation, IIS and RIA, how to set brokers #ria #xpa
 
I need it concurrent some time before switch completely to 4.7.
I also noticed that both mgreq*. dll have same name, but tried to disable one in IIS when using other, and vice versa, and restart IIS each time.

When I had same case with previous concurrent versions eg 1.9/2.1, it wasn't case, IIS couldn't be confused because dll had different names.
Btw, also checked registry, and can find two different path to requester. Web config also have two.
Where is difference when decide which one will run after restart IIS?
 

Join main@magicu-l.groups.io to automatically receive all group messages.